public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-htmlhelp/
Date: Wed, 20 Apr 2022 12:18:34 +0000 (UTC)	[thread overview]
Message-ID: <1650457100.bb158ee6f99c5eb4f9e25e91d70959da69e93abd.mgorny@gentoo> (raw)

commit:     bb158ee6f99c5eb4f9e25e91d70959da69e93abd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 20 10:05:24 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Apr 20 12:18:20 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb158ee6

dev-python/sphinxcontrib-htmlhelp: EAPI 8, PEP517, rm namespace dep

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../sphinxcontrib-htmlhelp-2.0.0-r1.ebuild         | 44 ++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/dev-python/sphinxcontrib-htmlhelp/sphinxcontrib-htmlhelp-2.0.0-r1.ebuild b/dev-python/sphinxcontrib-htmlhelp/sphinxcontrib-htmlhelp-2.0.0-r1.ebuild
new file mode 100644
index 000000000000..7aef514fdcaf
--- /dev/null
+++ b/dev-python/sphinxcontrib-htmlhelp/sphinxcontrib-htmlhelp-2.0.0-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension which outputs HTML help book"
+HOMEPAGE="
+	https://www.sphinx-doc.org/
+	https://github.com/sphinx-doc/sphinxcontrib-htmlhelp/
+	https://pypi.org/project/sphinxcontrib-htmlhelp/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+PDEPEND="
+	>=dev-python/sphinx-2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		${PDEPEND}
+		dev-python/html5lib[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+	distutils-r1_python_compile
+	find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+	distutils_write_namespace sphinxcontrib
+	cd "${T}" || die
+	epytest "${S}"/tests
+}


             reply	other threads:[~2022-04-20 12:18 UTC|newest]

Thread overview: 58+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-20 12:18 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-17  7:39 [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-htmlhelp/ Michał Górny
2024-08-17  7:28 Michał Górny
2024-08-10  6:46 Michał Górny
2024-08-10  6:43 Michał Górny
2024-07-29  3:26 Michał Górny
2024-07-21  2:43 Michał Górny
2024-05-25  9:28 Michał Górny
2024-01-29  9:55 Michał Górny
2024-01-29  7:02 Arthur Zamarin
2024-01-13  8:20 Michał Górny
2023-09-11 14:03 Michał Górny
2023-09-11 11:57 Arthur Zamarin
2023-08-15  2:41 Michał Górny
2023-08-10  2:53 Michał Górny
2023-05-29 21:55 Sam James
2023-03-03 17:40 Michał Górny
2023-03-03 17:40 Michał Górny
2023-03-03 17:32 Arthur Zamarin
2023-01-31 19:09 Arthur Zamarin
2022-05-14 12:44 Arthur Zamarin
2022-04-26 20:28 Michał Górny
2022-04-26 19:14 Arthur Zamarin
2022-04-26 17:01 Michał Górny
2021-07-16 21:53 Michał Górny
2021-07-16 21:44 Sam James
2021-07-15 22:18 Sergei Trofimovich
2021-07-14 16:08 Sergei Trofimovich
2021-07-13 20:05 Sam James
2021-07-12 22:11 Sam James
2021-07-12 18:38 Sergei Trofimovich
2021-06-04 12:00 Michał Górny
2021-05-23  6:32 Michał Górny
2021-01-06 22:30 Fabian Groffen
2020-12-04 12:38 Michał Górny
2020-12-03 17:31 Michał Górny
2020-08-24 15:11 Michał Górny
2020-05-31 17:17 Michał Górny
2020-05-13 17:11 Agostino Sarubbo
2020-05-11 15:32 Mart Raudsepp
2020-05-08  9:36 Sergei Trofimovich
2020-05-06 17:34 Sergei Trofimovich
2020-05-06 14:25 Mikle Kolyada
2020-05-06  7:18 Sergei Trofimovich
2020-05-06  7:01 Sergei Trofimovich
2020-05-04  9:03 Michał Górny
2020-05-03 10:30 Agostino Sarubbo
2020-04-05 21:53 Sergei Trofimovich
2020-03-02 15:16 Michał Górny
2020-02-24 11:43 Agostino Sarubbo
2020-02-24 11:31 Agostino Sarubbo
2020-02-24 11:28 Agostino Sarubbo
2020-02-24 10:04 Agostino Sarubbo
2020-02-23 12:10 Mikle Kolyada
2020-01-26 21:25 Matthew Thode
2019-12-19 21:40 Piotr Karbowski
2019-04-12 13:03 Virgil Dupras
2019-03-31 13:05 Virgil Dupras

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1650457100.bb158ee6f99c5eb4f9e25e91d70959da69e93abd.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox